diff --git a/lib/DateTime/TimeZone/OlsonDB.pm b/lib/DateTime/TimeZone/OlsonDB.pm
index 021202b..2dbe23c 100644
--- a/lib/DateTime/TimeZone/OlsonDB.pm
+++ b/lib/DateTime/TimeZone/OlsonDB.pm
@@ -222,15 +222,18 @@ sub parse_day_spec
     }
     elsif ( $day =~ /^(\w\w\w)([><])=(\d\d?)$/ )
     {
-        my $dow = $DAYS{$1};
+        my ( $dow, $less_gt_than, $day ) = ( $1, $2, $3 );
+        $dow = $DAYS{$dow};
 
         my $dt = DateTime->new( year   => $year,
                                 month  => $month,
-                                day    => $3,
+                                day    => $day,
                                 time_zone => 'floating',
                               );
 
-        my $dur = $2 eq '<' ? $MINUS_ONE_DAY_DUR : $PLUS_ONE_DAY_DUR;
+        my $dur = $less_gt_than eq '<'
+            ? $MINUS_ONE_DAY_DUR
+            : $PLUS_ONE_DAY_DUR;
 
         while ( $dt->day_of_week != $dow )
         {
